package be.iminds.ilabt.jfed.experiment.events;

import be.iminds.ilabt.jfed.experiment.ExperimentController;

/**
 * User: twalcari
 * Date: 1/11/2016
 * Time: 09:27
 */
public class ExperimentEvent {

    private final ExperimentController source;

    private final ExperimentEventType<? extends ExperimentEvent> type;


    public ExperimentEvent(ExperimentController source, ExperimentEventType<? extends ExperimentEvent> type) {
        this.source = source;
        this.type = type;
    }

    public ExperimentController getSource() {
        return source;
    }

    public ExperimentEventType<? extends ExperimentEvent> getType() {
        return type;
    }
}
